<form >
    <div class="">
        <!-- partial:partials/_sidebar.html -->
        <div class="">
  
            <div class="">
                <div class="nine">
                    <h3 class="pt-2">Modifier une boutiquea</h3>
                      <div id="section1" class="">
                          <br>
                          <div class="row">
                              <div class="col-lg-12">
                                  <form class="" [formGroup]="registerform" (ngSubmit)="sendBank()">
                                      <div class="row">
                                      <div class="col-lg-2 txt-align a-c-s">
                                          <label class="mb-0">*Nom </label>
                                      </div>
                                      <div class="col-lg-10 position-r">
                                          <input type="text" class="form-control" id="" placeholder="" formControlName="shopname" [(ngModel)]="record.shopname" 
                                                  #box (keyup)="0" maxlength="120">
                                          <span class="input-spnr" >| {{box.value.length}}/120</span>
                                          
  
  
                                      </div>
                                      <div class="error" *ngIf="registerform.get('shopname')?.touched && registerform.get('shopname')?.hasError('required')">
  
                                          Le nom de la boutique est requis 
                                      </div>
                                      </div>
                                      <br>
                                      <div class="row">
                                      <div class="col-lg-2 txt-align a-c-s">
                                          <label class="">*Description </label>
                                      </div>
                                      <div class="col-lg-10 position-r">
                                          <textarea class="form-control h-a" rows="5" id="" formControlName="shopdesc"
                                                  #box2 (keyup)="0" maxlength="500"  [(ngModel)]="record.shopdesc" ></textarea>
                                          <span class="input-br">| {{box2.value.length}} /500</span>
  
  
  
                                      </div>
                                      <div class="error col-lg-10 " *ngIf="registerform.get('shopdesc')?.touched && registerform.get('shopdesc')?.hasError('required')">
  
                                          La description est requis 
                                      </div>
                                      </div>
                                      <br>
                                      <div class="row">
                                          <div class="col-lg-2 txt-align a-c-s">
                                              <label class="mb-0">*Adresse </label>
                                          </div>
                                          <div class="col-lg-10 position-r">
                                              <input type="text" class="form-control" id="" name="" (onAddressChange)="handleAddressChange2($event)" formControlName="address"  [(ngModel)]="record.address" ngx-google-places-autocomplete>
                                              
  
  
  
                                          </div>
                                          <div class="error" *ngIf="registerform.get('address')?.touched && registerform.get('address')?.hasError('required')">
  
                                              L'adresse est requise 
                                          </div>
                                      </div>
  
                                      <br>
                                      <div class="row">
                                          <div class="col-lg-2 txt-align a-c-s">
                                              <label class=""> Image de la banniere de la boutique </label>
                                          </div>
                                          <div class="col-lg-10 position-r">
                                            <div>
                                                <img src="{{baseurl}}static/public/{{record.shopphoto}}" height="180" width="150">
                                            </div>
                                            <div class="clearfix"></div><br>
                                              <input type="file"  (change)="onFileChange($event)"
                                              accept="image/png, image/jpeg, image/jpg, image/gif">
                                          </div>
                                      </div>
  
                                      <br>
  
                                    
                  
                  
                                      <button type="submit" class="btn btn-signs"><b>Soumettre</b></button>
                                      <div class="comeBack_up" *ngIf="getstatus">
                                          <div *ngIf="getstatus.status == false; else loggedOut">
                                              <br>
                                              <div class="alert alert-danger"><strong>{{ getstatus.message }}</strong></div>
                                          </div>
                                          <ng-template #loggedOut>
                                              <br>
                                              <div class="alert alert-success"><strong>{{ getstatus.message }}</strong></div>
                                          </ng-template>
                                      </div>
  
  
  
                                  </form>
                              </div>
                          </div>
                      </div>
                    
  
  
  
                    
  
                    <!-- <div class="clearfix">
                      <button class="btn btn-theme m-0 btn btn-dark float-end" type="submit" >Soumettre  </button>
                    </div>
                    <br> -->
                     
  
  
  
                </div>
  
            </div>
  
        </div>
        <!-- main-panel ends -->
    </div>
    <!-- page-body-wrapper ends -->
    
  
  
  </form>